import {LocalStoragePartialEnum} from "solidify-frontend";

enum LocalStorageExtendEnum {
  singleSelectLastSelectionOrgUnit = "singleSelectLastSelectionOrgUnit",
  multiSelectLastSelectionContributor = "multiSelectLastSelectionContributor",
  cookieAuthorized = "cookieAuthorized",
  privacyPolicyAndTermsOfUseAccepted = "privacyPolicyAndTermsOfUseAccepted",
}

// tslint:disable-next-line:variable-name
export const LocalStorageEnum = {...LocalStoragePartialEnum, ...LocalStorageExtendEnum} as Omit<typeof LocalStoragePartialEnum, keyof typeof LocalStorageExtendEnum> & typeof LocalStorageExtendEnum;
export type LocalStorageEnum = typeof LocalStorageEnum[keyof typeof LocalStorageEnum];
