import {DataFile} from "@shared/models/business/data-file.model";
import {SolidifyDataFileModel} from "solidify-frontend";

export class DataFileHelper {
  static dataFileAdapter(dataFile: DataFile): SolidifyDataFileModel {
    return {
      fileName: dataFile.fileName,
      fileSize: dataFile.fileSize,
      status: dataFile.status as any,
      mimetype: dataFile.fileFormat?.contentType,
      puid: dataFile.fileFormat?.puid,
    };
  }
}
