import {
  BaseResourceType,
  MappingObject,
  ResourceStateModel,
} from "solidify-frontend";

export interface ResourceLogoStateModel<TResource extends BaseResourceType> extends ResourceStateModel<TResource> {
  logo: string | undefined;
  isLoadingLogo: boolean;
  listLogo: MappingObject <string> | undefined;
  isLoadingAllLogo: boolean;
}
