import {NO_ERRORS_SCHEMA} from "@angular/core";
import {
  ComponentFixture,
  TestBed,
  waitForAsync,
} from "@angular/core/testing";

import {HomeRssWrapperPresentational} from "./home-rss-wrapper.presentational";

describe("HomeRssWrapperPresentational", () => {
  let component: HomeRssWrapperPresentational;
  let fixture: ComponentFixture<HomeRssWrapperPresentational>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      declarations: [HomeRssWrapperPresentational],
      schemas: [NO_ERRORS_SCHEMA],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(HomeRssWrapperPresentational);
    component = fixture.componentInstance;
    component.rss = {
      channel: {
        item: [],
        title: "title",
      },
    };
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(() => fixture.detectChanges()).not.toThrow();
  });
});
