import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {DlcmRoutes} from "@app/shared/models/dlcm-route.model";
import {PreservationPlanningAipStatusHomeRoutable} from "@preservation-planning/aip-status/components/routables/aip-status-home/preservation-planning-aip-status-home.routable";

const routes: DlcmRoutes = [
  {
    path: "",
    component: PreservationPlanningAipStatusHomeRoutable,
    data: {},
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PreservationPlanningAipStatusRoutingModule {
}
