import {StepTourSectionNamePartialEnum} from "solidify-frontend";

enum StepTourSectionNameExtendEnum {
  main = "main",
  deposit = "deposit",
  depositMetadata = "depositMetadata",
  depositData = "depositData",
  preservationSpace = "preservationSpace",
  organizationalUnit = "organizationalUnit",
  search = "search",
}

// tslint:disable-next-line:variable-name
export const StepTourSectionNameEnum = {...StepTourSectionNamePartialEnum, ...StepTourSectionNameExtendEnum} as Omit<typeof StepTourSectionNamePartialEnum, keyof typeof StepTourSectionNameExtendEnum> & typeof StepTourSectionNameExtendEnum;
export type StepTourSectionNameEnum = typeof StepTourSectionNameEnum[keyof typeof StepTourSectionNameEnum];
