import {ThemePartialEnum} from "solidify-frontend";

enum ThemeExtendEnum {
  dlcm = "dlcm",
  yareta = "yareta",
  olos = "olos",
  vertical = "vertical",
}

// tslint:disable-next-line:variable-name
export const ThemeEnum = {...ThemePartialEnum, ...ThemeExtendEnum} as Omit<typeof ThemePartialEnum, keyof typeof ThemeExtendEnum> & typeof ThemeExtendEnum;
export type ThemeEnum = typeof ThemeEnum[keyof typeof ThemeEnum];
